Subject: Re: [PATCH] make tg3 NAPI support configurable

From: Greg Banks <[email-masked]>
Date: Mon, 12 Jan 2004 11:12:35 +1100

Jeff Garzik wrote:
> 
> Robert Olsson wrote:
> >  You can use coalescing with NAPI as well, e1000 and other drivers
> >  are doing this. This will give you same interrupt rates as non-
> >  NAPI at low load and "polling" without any interrupts at high load.
> 
> Yes, this is something I've been meaning to add to tg3 for months now.

I'd be very happy to test patches on an Altix, where this issue is a
significant networking scaling limitation.

Greg.
-- 
Greg Banks, R&D Software Engineer, SGI Australian Software Group.
I don't speak for SGI.